* {
  box-sizing: border-box;
}

body {
  /* Match the top-bar color */
  background-color: var(--color-top-bar);
}

.button {
  background-color: var(--color-clear);
  color: var(--color-text-button);
  padding: 2px; /* Some padding */
  margin: 4px;
  border: none;
  border-radius: 12px;
  height: 24px;
  width: 30%;
  text-align: center;

  font-weight: bolder;
}

.card {

  background-color: var(--color-overlay);

  /* Set up proportionate scaling */
  width: 100%;
  height: 360px;

  /* Set up positioning */
  position: relative;

  overflow: hidden;
}

.top-margin {
  margin-top: 54px;
}

.top-card {
  border-radius: 32px 32px 0px 0px;
}

.bottom-card {
  border-radius: 0px 0px 32px 32px;
}

.card-profile {
  position: relative;

  top: -48px;

  display: block;
  margin-left: auto;
  margin-right: 48px;

  width: 96px;
  height: 96px;
  object-fit: cover;
  border-radius: 48px;

  background: var(--color-foreground);

  pointer-events: auto;

  box-shadow: 0px 2px 8px rgba(0,0,0,.4);

  -webkit-transition: -webkit-transform .2s; /* Safari */
  transition: transform .2s;
}

.card-profile-image {
  position: absolute;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  border-radius: 48px;
  width: 96px;
  height: 96px;
  object-fit: cover;
}

.card-profile:hover,  .card-profile:focus {
  box-shadow: 0px 8px 20px #000;

  border: none;
  outline: none;

  -ms-transform: scale(1.04, 1.04); /* IE 9 */
  -webkit-transform: scale(1.04, 1.04); /* Safari */
  transform: scale(1.04, 1.04);
}

.card-profile-image:hover~.card-profile-overlay, .card-profile-image:focus~.card-profile-overlay {
  background-color: var(--color-overlay);
  opacity: 1;

  -ms-transform: scale(1.04, 1.04); /* IE 9 */
  -webkit-transform: scale(1.04, 1.04); /* Safari */
  transform: scale(1.04, 1.04);
}

.card-profile-overlay {
  position: absolute;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  border-radius: 48px;

  pointer-events: none;

  opacity: 0;
  /* background-color:rgba(0, 0, 0, 0.4); */
  /* opacity: 1; */

  -webkit-transition: opacity .2s, background-color .6s, -webkit-transform .2s; /* Safari */
  transition: opacity .2s, background-color .6s, transform .2s;
}

.card-profile-text {
  line-height: 96px;
  width: 96px;
  text-align: center;
  color: var(--color-text-button);
  font-size: 16px;
  font-weight: bolder;
}

.card-title {
  font-size: 32px;
  font-weight: bold;
  color: var(--color-text-overlay);
  cursor: pointer;
}

.logout-button {
  position: absolute;
  top: 24px;
  right: 36px;

  background-color: var(--color-clear);
  color: var(--color-text-button);
  padding: 2px;
  margin: 4px;
  border: none;
  border-radius: 12px;
  height: 24px;
  text-align: center;

  font-weight: bolder;
}

.options-button {
  position: absolute;
  top: 24px;
  right: 36px;

  color: var(--color-text-button);
  padding: 2px;
  margin: 4px;
  border: none;
  border-radius: 12px;
  width: 40px;
  height: 40px;
  text-align: center;

  font-weight: bolder;
}

.inner {
  position: absolute;
  bottom: 24px;
  left: 24px;
}

.sub-title {
  font-size: 18px;
  color: var(--color-text);
  cursor: pointer;
}

img.bg {
  /* Set up proportionate scaling */
  width: 100%;
  height: 100%;

  /* Set up positioning */
  position:absolute;
  top: 0;
  left: 0;

  object-fit: cover;
  z-index: -1;
}



.section-title {
  padding-top: 36px;
  padding-bottom: 16px;
  margin-left: 10%;
  font-size: 24px;
  font-weight: bold;
  color: var(--color-text);
}

.content {
  background-color: var(--color-background);
  padding: 0px 0px 36px 0px;
}

.top-content {
  margin-top: -96px;
  min-height: 128px;
}

.gallery {
  padding: 0px 120px;
}

/* Create three equal columns that sits next to each other */
.column {
  width: 20%;
  padding: 0 8px;
}

.column img {
  margin-top: 16px;
  vertical-align: middle;
  border-radius: 8px;
  width: 100%;
  cursor: pointer;

  box-shadow: 0px 0px 1px #000; */

  pointer-events: auto;

  /* Hover animation */
  -webkit-transition: box-shadow .6s, -webkit-transform .2s; /* Safari */
  transition: box-shadow .6s, transform .2s;
}

.column img:hover,  .column img:focus {
  box-shadow: 0px 8px 20px #000;

  border: none;
  outline: none;

  -ms-transform: scale(1.04, 1.04); /* IE 9 */
  -webkit-transform: scale(1.04, 1.04); /* Safari */
  transform: scale(1.04, 1.04);
}

.column img:hover~.image-overlay,  .column img:focus~.image-overlay {
  background-color:rgba(0, 0, 0, 0.2);
  opacity: 1;

  -ms-transform: scale(1.04, 1.04); /* IE 9 */
  -webkit-transform: scale(1.04, 1.04); /* Safari */
  transform: scale(1.04, 1.04);
}


.image-overlay {
  position: absolute;
  left: 8px;
  top: 16px;
  right: 8px;
  bottom: 0px;
  border-radius: 8px;
  opacity: 0;

  pointer-events: none;

  -webkit-transition: opacity .6s, background-color .6s, -webkit-transform .2s; /* Safari */
  transition: opacity .6s, background-color .6s, transform .2s;
}

.loves {
  position: absolute;
  right: 8px;
  bottom: 8px;

  color: var(--color-text-button);
  padding: 2px; /* Some padding */
  height: 24px;
}

.loves-icon {
  display: inline-block;
  width: 14px;
  height: 14px;
}

.loves-text {
  display: inline-block;

  color: var(--color-text-button);
  font-size: 16px;
  font-weight: bolder;
  margin-left: 4px;
}

.image-user {
  display: none;
}

.column.lg {
  width: 33%;
}

.column.lg img {
  background-color: #FFF;
}

.palette {
  padding: 8px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
}

.palette-item {
  width: 32px;
  height: 32px;
}







.popover {
  position: relative;
  z-index: 4;
  display: flex;
  justify-content: flex-end;
}
.popover-panel {
  position: absolute;
  padding: 8px;
  margin: 8px;
  border-radius: 8px;
  background-color: var(--color-foreground);
}
.popover-overlay {
  position: fixed;
  z-index: 3;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  max-width: 100%;
  max-height: 100%;
  padding: 16px;
  background-color: rgba(0, 0, 0, 0.4);
}
.dropdown-item {
  position: relative;
  font-size: 16px;
  color: var(--color-text);
  padding: 8px;
  height: 44px;
}

.hidden {
  display: none;
}



@media screen and (max-width: 1200px) {
  .gallery {
    padding: 0px 80px;
  }
  .column {
    width: 20%;
  }
  .column.lg {
    width: 33%;
  }
}

@media screen and (max-width: 1000px) {
  .gallery {
    padding: 0px 20px;
  }
  .column {
    width: 25%;
  }
}

@media screen and (max-width: 800px) {
  .column {
    width: 33%;
  }
  .column.lg {
    width: 50%;
  }
}

@media screen and (max-width: 600px) {

  .inner {
    width: 100%;
    left: 0;
    bottom: 64px;
  }

  .card-title {
    text-align: center;
  }

  .sub-title {
    text-align: center;
  }

  .card-profile {

    top: -40px;

    margin-left: auto;
    margin-right: auto;

    width: 80px;
    height: 80px;
  }
}

@media screen and (max-width: 480px) {
  .gallery {
    padding: 0px 0px;
  }
  .column {
    width: 50%;
  }
  .column.lg {
    width: 100%;
  }
}
